#!/usr/bin/env python

import sys
from xml.etree import ElementTree

xml = sys.stdin.read()
element = ElementTree.fromstring(xml)

netifs = element.findall('entrylist/entry/network/netiflist/netif')
for netif in netifs:
    if netif.attrib.get('name') == 'lan1':
        sys.stdout.write(netif.find('mac').text)
        break
else:
    sys.stdout.write('')
